import { Save } from "./load";
declare type PackageNames = {
    [name: string]: true;
};
export declare type State = {
    start: number;
    index: number;
    end: number;
    progress: number;
    elapsed: number;
    packageNames: PackageNames;
};
declare type SyncActionOptions = {
    /**
     * Timeout in milliseconds after a sync to avoid re-syncing
     */
    timeout?: number;
};
declare type SyncOptions = {
    onStart?: (state: State) => void;
    onData?: (state: State) => void;
    onEnd?: (state: State) => void;
} & SyncActionOptions;
export declare function sync({ onData, onStart, onEnd, timeout }?: SyncOptions): Promise<Save>;
export declare function syncAction(options?: SyncActionOptions): void;
declare const _default: import("commander").Command;
export default _default;
